ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Settings.Constants

Description

Compile-time settings

Synopsis

- hiVersion :: Integer
- mAX_TUPLE_SIZE :: Int
- mAX_CTUPLE_SIZE :: Int
- mAX_SUM_SIZE :: Int
- mAX_REDUCTION_DEPTH :: Int
- mAX_SOLVER_ITERATIONS :: Int
- wORD64_SIZE :: Int
- fLOAT_SIZE :: Int
- dOUBLE_SIZE :: Int
- tARGET_MAX_CHAR :: Int

# Documentation

hiVersion :: Integer Source #

mAX_TUPLE_SIZE :: Int Source #

mAX_CTUPLE_SIZE :: Int Source #

mAX_SUM_SIZE :: Int Source #

mAX_REDUCTION_DEPTH :: Int Source #

Default maximum depth for both class instance search and type family reduction. See also #5395.

mAX_SOLVER_ITERATIONS :: Int Source #

Default maximum constraint-solver iterations Typically there should be very few

wORD64_SIZE :: Int Source #

fLOAT_SIZE :: Int Source #

dOUBLE_SIZE :: Int Source #

tARGET_MAX_CHAR :: Int Source #